#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	CSS parser and selection engine
Summary(pl.UTF-8):	Silnik analizujący i wybierający CSS
Name:		libCSS
Version:	0.9.2
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://download.netsurf-browser.org/libs/releases/libcss-%{version}-src.tar.gz
# Source0-md5:	eeb912a26c943aa1cc8fa5b5b6ec316b
URL:		http://www.netsurf-browser.org/projects/libcss/
BuildRequires:	libparserutils-devel >= 0.2.5
BuildRequires:	libwapcaplet-devel >= 0.4.3
BuildRequires:	netsurf-buildsystem >= 1.10
Requires:	libparserutils >= 0.2.5
Requires:	libwapcaplet >= 0.4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%define		specflags	-Wno-error=maybe-uninitialized

%description
LibCSS is a CSS (Cascading Style Sheet) parser and selection engine,
written in C. It was developed as part of the NetSurf project and is
available for use by other software under the MIT licence.

Features:
- Parses CSS, good and bad
- Simple C API
- Low memory usage
- Fast selection engine
- Portable
- Shared library

%description -l pl.UTF-8
LibCSS to silnik analizujący i wybierający CSS (Cascading Style
Sheet), napisany w C. Powstał jako część projektu NetSurf i można go
używać w innych programach na licencji MIT. 

Cechy:
- analizuje CSS, dobry i wadliwy
- proste API dla języka C
- małe zużycie pamięci
- szybki silnik wybierający
- przenośność
- biblioteka współdzielona

%package devel
Summary:	libCSS library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libCSS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libparserutils-devel >= 0.2.5
Requires:	libwapcaplet-devel >= 0.4.3

%description devel
This package contains the include files and other resources you can
use to incorporate libCSS into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe pozwalające na używanie biblioteki libCSS w swoich
programach.

%package static
Summary:	libCSS static library
Summary(pl.UTF-8):	Statyczna biblioteka libCSS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libCSS library.

%description static -l pl.UTF-8
Statyczna biblioteka libCSS.

%prep
%setup -q -n libcss-%{version}

# create "gen" target just to execute PRE_TARGETS
printf '\ngen: $(PRE_TARGETS)\n' >> Makefile

%define	comps	lib-shared %{?with_static_libs:lib-static}

%build
export CC="%{__cc}"
export CFLAGS="%{rpmcflags} %{rpmcppflags}"
export LDFLAGS="%{rpmldflags}"
export AR="%{__ar}"

# generate sources first to avoid recompilation on install when sources
# get regenerated during build for second component type
for c in %{comps} ; do
%{__make} gen \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=$c
done

for c in %{comps} ; do
%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=$c
done

%install
rm -rf $RPM_BUILD_ROOT

export CC="%{__cc}"
export CFLAGS="%{rpmcflags} %{rpmcppflags}"
export LDFLAGS="%{rpmldflags}"
export AR="%{__ar}"

for c in %{comps} ; do
%{__make} -j1 install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=$c \
	DESTDIR=$RPM_BUILD_ROOT
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/libcss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcss.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcss.so
%{_includedir}/libcss
%{_pkgconfigdir}/libcss.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcss.a
%endif
%changelog
* Sun Apr 07 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libCSS.git;a=log;h=master

* Sat Jan 06 2024 Jakub Bogusz <qboosh@pld-linux.org> 0d56782
- updated -devel dependencies

* Sat Jan 06 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4147f42
- updated to 0.9.2
- removed libCSS-restrict.patch

* Sat May 30 2020 Witold Filipczyk <witekfl@poczta.onet.pl> b172130
- updated to 0.9.1
- disabled warnings

* Sat Nov 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 02587aa
- updated to 0.9.0

* Sat Dec 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 9a69bac
- added restrict patch (use __restrict instead of restrict in public headers to allow use in C++)
- release 2

* Thu Dec 27 2018 Jakub Bogusz <qboosh@pld-linux.org> d78a97e
- updated to 0.8.0
- removed outdated Remove-extra-braces-to-fix-build-with-gcc-7 patch

* Mon Oct 30 2017 Witold Filipczyk <witekfl@poczta.onet.pl> ff5a39c
- updated to 0.7.0
- added patch

* Thu Nov 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 74bd16b
- updated -devel dependencies

* Mon Nov 21 2016 Witold Filipczyk <witekfl@poczta.onet.pl> fe56392
- updated to 0.6.1

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 283629c
- dropped outdated build patch

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 1374615
- updated to 0.6.0

* Tue Apr 07 2015 Jakub Bogusz <qboosh@pld-linux.org> db7e638
- updated -devel dependencies

* Mon Mar 16 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 41f4164
- updated to 0.5.0

* Mon Dec 01 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7987fae
- updated to 0.4.0

* Thu Oct 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fd62b6f
- rel 2; warnings are acceptable now

* Mon May 12 2014 Jakub Bogusz <qboosh@pld-linux.org> 5a8e3ba
- install time dependencies

* Mon May 12 2014 Jakub Bogusz <qboosh@pld-linux.org> fbb6e4d
- pl
- avoid recompilation of generated sources in install stage

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 727b956
- lib.patch deleted

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 147f72d
- obsolete

* Tue Apr 29 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2e87457
- up to 0.3.0
- commented the lib.patch

